Page MenuHomePhabricator

Template serialization can dirty diff transclusions with 'constructor' as a template arg
Closed, ResolvedPublic

Description

This from eswiki:

{{Ficha de obra de arte
|nombre        = Mosaico de Issos
|imagen        = Alexander (Battle of Issus) Mosaic.jpg
|tamaño imagen = 300px
|pie imagen    = El mosaico completo
|autor         = [[Filoxeno de Eretria]]
|diseñador     = 
|constructor   = 
|fecha         = {{esd|c. 325 a. C.}}
|localización  = [[Museo Arqueológico Nacional de Nápoles]]
|estilo        = 
|material      = 
|técnica       = [[Mosaico]]
|dimensiones   = {{esd|272 cm × 513 cm}}
|peso          = 
}}

This roundtrips in wt2wt as:

{{Ficha de obra de arte
|nombre        = Mosaico de Issos
|imagen        = Alexander (Battle of Issus) Mosaic.jpg
|tamaño imagen = 300px
|pie imagen    = El mosaico completo
|autor         = [[Filoxeno de Eretria]]
|diseñador     = 
|fecha         = {{esd|c. 325 a. C.}}
|localización  = [[Museo Arqueológico Nacional de Nápoles]]
|estilo        = 
|material      = 
|técnica       = [[Mosaico]]
|dimensiones   = {{esd|272 cm × 513 cm}}
|peso          = 
|constructor=}}

Where the "constructor" has shifted positions to become the last arg.

Event Timeline

ssastry triaged this task as Medium priority.May 21 2018, 2:48 AM

zhwiki/天花湖水庫 as well

Change 434995 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/services/parsoid@master] Check for own properties when using object as a dict

https://gerrit.wikimedia.org/r/434995

Change 434995 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Check for own properties when using object as a dict

https://gerrit.wikimedia.org/r/434995

Vvjjkkii renamed this task from Template serialization can dirty diff transclusions with 'constructor' as a template arg to ckcaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Arlolra as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
Community_Tech_bot renamed this task from ckcaaaaaaa to Template serialization can dirty diff transclusions with 'constructor' as a template arg.Jul 1 2018, 6:20 AM
Community_Tech_bot closed this task as Resolved.
Community_Tech_bot assigned this task to Arlolra.
Community_Tech_bot updated the task description. (Show Details)
CommunityTechBot lowered the priority of this task from High to Medium.Jul 3 2018, 3:26 AM